function control(par)
%function for controller menu
global colorset;

if(par==2)%save controler in WinReg format
   global R S PD Hr Hs A B Ts Am Bm T;
   if(isempty(R)|isempty(S)) return;end;
   str='Save controler in WinReg format';ext='*.reg';
   [file,pathfile]=uiputfile(ext,str);
   name=[pathfile file];
   if(file==0) return;end;
   K=0;
   if isempty(T) Tsav=1;Amsav=1;Bmsav=1;K=1;end;
   [rr,ss,paux,hs,hr]=rs_complete;
   pvys=conv(paux,PD);
   dummy=savewreg(name,rr,ss,Tsav,pvys,hr,hs,Amsav,Bmsav,A,B,Ts);
   if(K==1) T=[];Am=[];Bm=[];end;
elseif(par==3)|(par==4) %save in Matlab format 5, 4
   global A B Hr Hs T Am Bm;  
   if(isempty(A)|isempty(B)) return;end;
   str='Save controler in MATLAB format';ext='*.mat';
   [file,pathfile]=uiputfile(ext,str);
   name=[pathfile file];
   if(file==0) return;end;
   K=0;
   Torg=T;Amorg=Am;Bmorg=Bm;
   if(isempty(T)) T=1;Am=1;Bm=1;K=1;end;
   [R,S,paux]=rs_complete;
   if par==3,%MATLAB 5
      eval(sprintf('save %s R S T Am Bm',name));      
   elseif par==4, %MATLAB 4
      eval(sprintf('save %s R S T Am Bm -v4',name));
   end;
   T=Torg;Am=Amorg;Bm=Bmorg;
end;

   