function parameter(par)
%function to handle with controller parameters

if(par==1)|(par==3)%load parameters par==1 ... with model, par==3 without model
if par==1, ch=1;else ch=2;end;
ch=1;
   if(ch==1)%load with model
	   str='Load parameters and update also model';ext='*.prm';
	   [file,pathfile]=uigetfile(ext,str);
	   name=[pathfile file];
	   if(file==0) return;end;
	   
		global Ts;%sampling time
		global A B;%model
	   global R S; %controller
		global PD PDfmin PDfmax PDdmin PDdmax;%polynom of dominant CL poles and ranges of freq and damp
		global AP APgama APN APgmin APgmax;%structure about coeff. of aux. mult. pole
		global Hs Hsfmin Hsfmax Hsdmin Hsdmax Hrpmax Hrpmin;
		global Hr Hrfmin Hrfmax Hrdmin Hrdmax Hrpmax Hrpmin;
      global Wsypu Wsypd Wsup Wsyb fn;%templates of sensitivity functions
      global Sypf_num Sypf_den Supf_num Supf_den Supf Sypf PAuxiliary Sup_filters Syp_filters;%filters and auxiliary poles
      
		var1=' A B Ts R S PD PDfmin PDfmax PDdmin PDdmax AP APgama APN APgmin APgmax Hs Hsfmin Hsfmax Hsdmin Hsdmax';
      var2='Hspmin Hspmax Hr Hrfmin Hrfmax Hrdmin Hrdmax Hrpmax Hrpmin Wsypu Wsypd Wsup Wsyb fn';
      var3='Sypf_num Sypf_den Supf_num Supf_den Supf Sypf PAuxiliary Sup_filters Syp_filters';
      
	   file=[pathfile file];
	   eval(sprintf('load %s %s %s %s -mat',file,var1,var2,var3));
	   reinit;
   elseif(ch==2)%load only parameters
	   str='Load only parameters and apply them to the current model';ext='*.prm';
	   [file,pathfile]=uigetfile(ext,str);
	   name=[pathfile file];
	   if(file==0) return;end;
	   
	   global R S; %controller
		global PD PDfmin PDfmax PDdmin PDdmax;%polynom of dominant CL poles and ranges of freq and damp
		global AP APgama APN APgmin APgmax;%structure about coeff. of aux. mult. pole
		global Hs Hsfmin Hsfmax Hsdmin Hsdmax Hspmin Hspmax;
		global Hr Hrfmin Hrfmax Hrdmin Hrdmax Hrpmax Hrpmin;
      global Wsypu Wsypd Wsup Wsyb fn;%templates of sensitivity functions
      global Sypf_num Sypf_den Supf_num Supf_den Supf Sypf PAuxiliary Sup_filters Syp_filters;%filters and auxiliary poles

		var1=' R S PD PDfmin PDfmax PDdmin PDdmax AP APgama APN APgmin APgmax Hs Hsfmin Hsfmax Hsdmin Hsdmax';
      var2='Hspmin Hspmax Hr Hrfmin Hrfmax Hrdmin Hrdmax Hrpmax Hrpmin Wsypu Wsypd Wsup Wsyb fn';
      var3='Sypf_num Sypf_den Supf_num Supf_den Supf Sypf PAuxiliary Sup_filters Syp_filters';

	   file=[pathfile file];
	   eval(sprintf('load %s %s %s %s -mat',file,var1,var2,var3));
	   reinit;
   end;
   
elseif(par==2)%save parameters
	global Ts;%sampling time
	global A B;%model
   global R S; %controller
	global PD PDfmin PDfmax PDdmin PDdmax;%polynom of dominant CL poles and ranges of freq and damp
	global AP APgama APN APgmin APgmax;%structure about coeff. of aux. mult. pole
	global Hs Hsfmin Hsfmax Hsdmin Hsdmax Hspmin Hspmax;
	global Hr Hrfmin Hrfmax Hrdmin Hrdmax Hrpmax Hrpmin;
   global Wsypu Wsypd Wsup Wsyb fn;%templates of sensitivity functions
   global Sypf_num Sypf_den Supf_num Supf_den Supf Sypf PAuxiliary Sup_filters Syp_filters;%filters and auxiliary poles   
   
   if(isempty(A)|isempty(B)) return;end;
   str='Save parameters';ext='*.prm';
   [file,pathfile]=uiputfile(ext,str);
   name=[pathfile file];
   if(file==0) return;end;

	var1=' A B Ts R S PD PDfmin PDfmax PDdmin PDdmax AP APgama APN APgmin APgmax Hs Hsfmin Hsfmax Hsdmin Hsdmax';
   var2='Hspmin Hspmax Hr Hrfmin Hrfmax Hrdmin Hrdmax Hrpmax Hrpmin Wsypu Wsypd Wsup Wsyb fn';
   var3='Sypf_num Sypf_den Supf_num Supf_den Supf Sypf PAuxiliary Sup_filters Syp_filters';
   file=[pathfile file];
   eval(sprintf('save %s %s %s %s -mat',file,var1,var2,var3));
end;
