function [nom,den]=fd2pol(fnat,dpm,Ts);
%function [nom,den]=fd2pol(fnat,dpm,Ts);
%fonction pour calculer nominateur et dnominateur de fonction de transfert discret
% partir de frquence naturelle et de coefficient d'amortissement

w=fnat*2*pi;
omega=w*sqrt(1-dpm^2);
alpha=exp(-dpm*w*Ts);
beta=cos(omega*Ts);
delta=sin(omega*Ts);
A1=-2*alpha*beta;
A2=alpha*alpha;
B1=1-alpha*(beta+(dpm*w*delta/omega));
B2=alpha^2+alpha*((dpm*w*delta/omega)-beta);
den=[1 A1 A2];
nom=[0 B1 B2];
   