function filterw2()

global colorset;

colorder=[[0 0 1];[0 0.5 0];[1 0 0];[0 0.75 0.75];[0.75 0 0.75];[0.75 0.75 0];[0.25 0.25 0.25]];
global filter_var;
   global h0;
   set(h0,'Unit','pixel');
   pmain=get(h0,'Position');
   set(h0,'Unit','point');
   ped=[334 60 640 480];
   ped(1)=pmain(1)+(pmain(3)-ped(3))/2;
   ped(2)=pmain(2)+(pmain(4)-ped(4))/2;


hw = figure('Color',getfield(colorset,'Background'), ...
	'FileName','D:\USERS\Hynek\LABORATORY\PPT_v2\window\filterw2.m', ...
   'MenuBar','none', ...
   'Name','Syp and Sup Calibrating Filter Design', ...
	'PaperPosition',[18 180 576 432], ...
   'PaperUnits','points', ...
   'Resize','off', ...
   'deletefcn','filter_w2(3);', ...
	'Position',ped, ...
	'Tag','Fig1', ...
	'ToolBar','none');
hsld_att = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'ListboxTop',0, ...
	'Position',[331.5 211.5 135 15], ...
   'Style','slider', ...
   'Callback','filter_w2(5);', ...
	'Tag','Slid_att');
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'FontWeight','bold', ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[354.75 228 111.75 11.25], ...
	'String','Attenuation/Amplification [dB] ', ...
	'Style','text', ...
	'Tag','StaticText1');
htxt_att = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[421.5 200.25 45 10.5], ...
	'String','-6 ', ...
   'Style','pushbutton', ...
   'callback','enterm(60);', ...
	'Tag','StaticText2');
htxt_frq = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[421 155.25 45 10.5], ...
	'String','20 ', ...
   'Style','pushbutton', ...
   'callback','enterm(61);', ...
   'Tag','StaticText2');
htxt_frd = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[331.5 155.25 78 10.5], ...
	'String','20 ', ...
   'Style','text', ...
   'callback','enterm(61);', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'FontWeight','bold', ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[365.25 183 101.25 11.25], ...
	'String','Frequency [Hz] ', ...
	'Style','text', ...
	'Tag','StaticText1');
hsld_frq = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'ListboxTop',0, ...
   'Position',[331.5 166.5 135 15], ...
   'Callback','filter_w2(5);', ...   
	'Style','slider', ...
	'Tag','Slid_frq');
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'FontWeight','bold', ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[345 97.5 150 11.25], ...
	'String','Numerator - digital filter', ...
	'Style','text', ...
	'Tag','StaticText1');
htxt_num = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'HorizontalAlignment','right', ...
   'ListboxTop',0, ...
   'FontSize',8, ...
	'Position',[316 86.25 162 10.5], ...
	'String','-', ...
	'Style','text', ...
	'Tag','StaticText2');
htxt_den = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[316 60 162 10.5], ...
   'String','-', ...
   'FontSize',8, ...   
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'FontWeight','bold', ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[345 73 150 9], ...
	'String','Denominator - digital filter', ...
	'Style','text', ...
	'Tag','StaticText1');
hsld_dmp = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
   'ListboxTop',0, ...
   'Callback','filter_w2(5);', ...   
	'Position',[331.5 120 135 15], ...
	'Style','slider', ...
	'Tag','Slid_damp');
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'FontWeight','bold', ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[331.5 136.5 135 12], ...
	'String','Damping of denom. (ana) [-] ', ...
	'Style','text', ...
	'Tag','StaticText1');
htxt_dmp = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[421.5 108.75 45 10.5], ...
	'String','0.75 ', ...
   'Style','pushbutton', ...
   'callback','enterm(62);', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[69 9.75 45 15], ...
   'String','OK', ...
   'callback','filter_w2(1)', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[16.5 9.75 45 15], ...
   'String','Cancel', ...
   'Callback','filter_w2(2);', ...
	'Tag','Pushbutton2');
h1 = axes('Parent',hw, ...
	'Units','pixels', ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',colorder, ...
	'Position',[453 340 169 110], ...
	'Tag','Axes1', ...
	'XColor',[0 0 0], ...
	'YColor',[0 0 0], ...
   'ZColor',[0 0 0]);
hax_flt=h1;
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.49404761904762   1.06422018348624   9.16025403784439], ...
	'String','Filter Magnitude', ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = axes('Parent',hw, ...
	'Units','pixels', ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',colorder, ...
	'Position',[41 286 378 164], ...
	'Tag','Axes2', ...
	'XColor',[0 0 0], ...
	'YColor',[0 0 0], ...
   'ZColor',[0 0 0]);
hax_syp=h1;
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.49867374005305   1.04294478527607   9.16025403784439], ...
	'String','Magnitude of S_y_p', ...
	'Tag','Axes2Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[267 337.5 42.75 11.25], ...
   'String','Axis Limits', ...
   'callback','axlimw(0);', ...
	'Tag','Pushbutton3');
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[267 178.5 42.75 11.25], ...
   'String','Axis Limits', ...
   'callback','axlimw(1);', ...   
	'Tag','Pushbutton3');
h1 = axes('Parent',hw, ...
	'Units','pixels', ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',colorder, ...
	'Position',[42 74 377 164], ...
	'Tag','Axes2', ...
	'XColor',[0 0 0], ...
	'YColor',[0 0 0], ...
   'ZColor',[0 0 0]);
hax_sup=h1;
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Interruptible','off', ...
	'Position',[0.4973404255319149 -0.147239263803681 9.160254037844386], ...
	'String','frequency', ...
	'Tag','Axes2Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Interruptible','off', ...
	'Position',[0.49734042553191   1.04294478527607   9.16025403784439], ...
	'String','Magnitude of S_u_p', ...
	'Tag','Axes2Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
hrad_syp = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'ListboxTop',0, ...
	'Position',[32.25 337.5 85 11.25], ...
   'String','Syp filter design', ...
   'Callback','filter_w2(10);', ...
   'ForegroundColor',[1 0 0], ...
   'FontSize', 10, ...
	'Style','radiobutton', ...
	'Tag','Radiobutton1');
hrad_sup = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'ListboxTop',0, ...
	'Position',[32.25 178.5 85 11.25], ...
   'String','Sup filter design', ...
   'Callback','filter_w2(11);', ...   
	'Style','radiobutton', ...
	'Tag','Radiobutton1');
hlst_flt = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[334.5 6.75 132 43.5], ...
   'String','F1: 1.35Hz, -6.5dB, 0.9', ...
   'Callback','filter_w2(7);', ...   
	'Style','listbox', ...
	'Tag','Listbox1', ...
	'Value',1);
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[270 7.5 63 11.25], ...
   'String','<< Remove filter', ...
   'Callback','filter_w2(9);', ...   
	'Tag','Pushbutton3');
hbtt_add = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[270 24.75 63 11.25], ...
   'String','Add filter >>', ...
   'Callback','filter_w2(8);', ...   
   'Tag','Pushbutton3');
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[195.75 6.75 65.25 12], ...
   'String','Controller stability', ...
   'Callback','ctrlstabw(0);', ...
   'Tag','Pushbutton3');
%new 22.2.2002
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[316 98 27.75 9], ...
   'String','coeff.', ...
   'callback','filter_w2(12);', ...
	'Tag','Pushbutton4');
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[316 72 27.75 9], ...
   'String','coeff.', ...
   'callback','filter_w2(13);', ...
	'Tag','Pushbutton4');
htxt_dnm = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[332.25 108.75 78 10.5], ...
	'String','-', ...
	'Style','text', ...
	'Tag','StaticText2');


global hvec_filter;
hvec_filter=[hw hax_flt hax_syp hax_sup hsld_att hsld_frq hsld_dmp htxt_att htxt_frq htxt_dmp ...
      		htxt_num htxt_den hrad_syp hrad_sup hbtt_add hlst_flt htxt_dnm htxt_frd];
         
filter_w2(4); %init for filters
         