function auxpolw()
colorder=[[0 0 1];[0 0.5 0];[1 0 0];[0 0.75 0.75];[0.75 0 0.75];[0.75 0.75 0];[0.25 0.25 0.25]];

global colorset;

   global h0;
   set(h0,'Unit','pixel');
   pmain=get(h0,'Position');
   set(h0,'Unit','point');
   ped=[162 94 640 467];
   ped(1)=pmain(1)+(pmain(3)-ped(3))/2;
   ped(2)=pmain(2)+(pmain(4)-ped(4))/2;

hw = figure('Color',getfield(colorset,'Background'), ...
	'FileName','D:\USERS\Hynek\LABORATORY\PPT_v2\window\auxpolw.m', ...
	'MenuBar','none', ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'Position',ped, ...
	'RendererMode','manual', ...
   'Resize','off', ...
   'Deletefcn','auxpol(3);', ...
	'Tag','Fig1', ...
	'ToolBar','none');
htxt_fq = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[420 199.5 45 10.5], ...
	'String','20 ', ...
   'Style','pushbutton', ...
   'callback','enterm(58);', ...
	'Tag','StaticText2');
htxt_ftx = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'FontWeight','bold', ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[363.75 227.25 101.25 11.25], ...
	'String','Frequency [Hz] ', ...
   'Style','text', ...
	'Tag','StaticText1');
hsld_fq = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'ListboxTop',0, ...
	'Position',[330 210.75 135 15], ...
   'Style','slider', ...
   'callback','auxpol(5);', ...   
	'Tag','Slid_frq');
hsld_dmp = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'ListboxTop',0, ...
	'Position',[330 164.25 135 15], ...
   'Style','slider', ...
   'callback','auxpol(5);', ...
	'Tag','Slid_damp');
htxt_dtx = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'FontWeight','bold', ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[330 180.75 135 12], ...
	'String','Damping [-] ', ...
	'Style','text', ...
	'Tag','StaticText1');
htxt_dmp = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[420 153 45 10.5], ...
	'String','0.75 ', ...
   'Style','pushbutton', ...
   'callback','enterm(59);', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[419.25 10.5 45 15], ...
   'String','OK', ...
   'Callback','auxpol(1);', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[366.75 10.5 45 15], ...
   'String','Cancel', ...
   'Callback','auxpol(2);', ...   
	'Tag','Pushbutton2');
h1 = axes('Parent',hw, ...
	'Units','pixels', ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',colorder, ...
	'Position',[40 266 378 164], ...
	'Tag','Axes2', ...
	'XColor',[0 0 0], ...
	'YColor',[0 0 0], ...
   'ZColor',[0 0 0]);
hax_syp=h1;
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.49867374005305   1.04294478527607   9.16025403784439], ...
	'String','Magnitude of S_y_p', ...
	'Tag','Axes2Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
   'Position',[266.25 322.5 42.75 11.25], ...
   'Callback','axlimw(2);', ...
	'String','Axis Limits', ...
	'Tag','Pushbutton3');
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[266.25 163.5 42.75 11.25], ...
   'String','Axis Limits', ...
   'Callback','axlimw(3);', ...   
	'Tag','Pushbutton3');
h1 = axes('Parent',hw, ...
	'Units','pixels', ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',colorder, ...
	'Position',[41 54 377 164], ...
	'Tag','Axes2', ...
	'XColor',[0 0 0], ...
	'YColor',[0 0 0], ...
   'ZColor',[0 0 0]);
hax_sup=h1;
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Interruptible','off', ...
	'Position',[0.4973404255319148 -0.147239263803681 9.160254037844386], ...
	'String','frequency', ...
	'Tag','Axes2Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Interruptible','off', ...
	'Position',[0.4973404255319148 1.042944785276074 9.160254037844386], ...
	'String','Magnitude of S_u_p', ...
	'Tag','Axes2Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
hlst_aux = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[332.25 56.25 132 57.75], ...
   'String','', ...
   'Callback','auxpol(8);', ...
	'Style','listbox', ...
	'Tag','Listbox1', ...
	'Value',1);
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[430.5 119.25 33 11.25], ...
   'String','Add', ...
   'callback','auxpol(6);', ...
	'Tag','Pushbutton3');
htxt_aux = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[401.25 43.5 63 10.5], ...
	'String','Poles to add :99', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[334.5 42.75 63 11.25], ...
   'String','Remove poles', ...
   'callback','auxpol(7);', ...
	'Tag','Pushbutton3');
hpop_aux = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[332.25 117.75 93 15], ...
	'String','Pair of complex poles', ...
	'Style','popupmenu', ...
	'Tag','PopupMenu1', ...
	'Value',1);
hlst_mod = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[329.25 263.25 132 57.75], ...
	'String','1.355634Hz, 0.912357', ...
	'Style','listbox', ...
	'Tag','Listbox1', ...
	'Value',1);
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[332.25 323.25 128.25 11.25], ...
	'String','Model Poles', ...
	'Style','text', ...
   'Tag','StaticText1');
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[366.75 247.5 65 12], ...
   'String','Controller Stability', ...
   'Callback','ctrlstabw(0);', ...
	'Tag','Pushbutton3');

global hvec_auxp;

hvec_auxp=[hw hax_syp hax_sup hlst_mod hsld_fq htxt_fq htxt_ftx hsld_dmp htxt_dmp htxt_dtx ...
   	   hlst_aux hpop_aux htxt_aux];
      
    